Bug 252860 - CMake Project Tree Doesn't Reload
Summary: CMake Project Tree Doesn't Reload
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: Build tools: CMake (show other bugs)
Version: git master
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: 4.1.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-30 14:57 UTC by Keith Rusler
Modified: 2011-03-08 03:21 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Keith Rusler 2010-09-30 14:57:00 UTC
Version:           SVN (using Devel) 
OS:                Linux

Right clicking doesn't make it reload anymore folders. Deleting folders doesn't remove items away. It only updates with adding files (afaik). I have to restart KDevelop4 everytime to make it update changes.

Reproducible: Always

Steps to Reproduce:
1. Delete a file (file will stay there)
2. Reload it by right clicking on folder containing the file

Actual Results:  
Nothing happens, file that was deleted doesn't remove from tree.
Comment 1 Milian Wolff 2010-09-30 15:11:35 UTC
what version are you using?
Comment 2 Keith Rusler 2010-09-30 15:13:12 UTC
I'm currently using

Qt-4.7.0 (not git)
KDevelop-4.1.60 (git)
Comment 3 Aleix Pol 2010-09-30 23:26:44 UTC
Doesn't it disappear if you reload a parent folder?
Also, I committed some stuff that might make this problem less important, still the deleted signal for this file is being stolen by kate in some way.

I'll try to figure out what's going on.
Comment 4 Keith Rusler 2010-09-30 23:43:21 UTC
No luck here, I think I've gotten it once to do that (parent folder trick), but it took like 2-3 minutes to go in to effect. But when I tried it again, it never did it. I'll update it and play with it some more.
Comment 5 Aleix Pol 2010-12-15 05:16:48 UTC
There have been changes in that regard. Can you retry?

Works well for me, there are still some issues that happen when there's kate opened, though, but doesn't look like what you're saying.
Comment 6 Aleix Pol 2011-03-08 02:15:17 UTC
Reopen if it's not fixed yet. Closing for the moment...
Comment 7 Aleix Pol 2011-03-08 03:21:47 UTC
Git commit 1195a80d1b7dc9812449b69b40107382c01fff87 by Aleix Pol.
Committed on 08/03/2011 at 02:17.
Pushed by apol into branch 'master'.

Use proper help index naming as suggested by the following bug report.

BUG: 252860

M  +1    -1    projectmanagers/cmake/cmakehelpdocumentation.cpp     

http://commits.kde.org/kdevelop/1195a80d1b7dc9812449b69b40107382c01fff87